%define name    xmpi
%define version 2.2.3b6
%define release 4mdk
%define lib_major 0
%define libname %mklibname %{name} %{lib_major}

Name:           %{name}
Url:	   	http://www.lam-mpi.org/
Summary:        A graphical user interface for MPI program development
Group:		Development/Other
Version:        %{version}
Release:        %{release}
License:        Distribuable
BuildRoot:      %{_tmppath}/%{name}-%{version}
Requires:     	lam-runtime
BuildRequires:	lam-devel
BuildRequires:	XFree86-devel
Source:  	%{name}-%{version}.tar.bz2

%package -n %{libname}-devel
Summary:        Development librairies for xmpi
Group:          Development/C

%description -n %{libname}-devel
Development librairies for xmpi.

%description
XMPI is an X/Motif based graphical user interface for running,
debugging and visualizing MPI programs. Extensive MPI information is
extracted from a running application on demand, or from a cummulative
log of communication. Both sources are tightly integrated with an
application overview window and any number of single process focus
windows.
XMPI can acquire and display extensive detail on an application's MPI
communication, including the following:
o process synchronization status: running, system or blocked
o message queue contents
o source, destination, root ranks
o MPI function name
o communicator
o datatype
o message count
o tag
The above information is acquired from on-demand snapshots of
application status using debugging hooks in the MPI implementation or
from a trace log of communication activity.
XMPI is a great tool for teaching MPI in a hands-on setting.  Students
run example code and can see and verify each MPI operation.  XMPI has an
application "wizard" to help assemble programs and assign processors to
MIMD and SPMD applications.  Furthermore, it is not tedious to generate,
acquire and display information.  A typical development cycle begins by
assembling an application and continues in the following manner.
o press the snapshot button to see what's going on now
o popup focus windows for a few interesting processes
o press the snapshot button a few (or a few dozen!) more times
o see the application completed, hung, deadlocked, etc...
o press the trace button once and the timeline window is displayed
o review the previous execution with trace log snapshots
o make application changes and press the rerun button
No recompiles or special libraries are required to snapshot the
application or obtain a trace log.

Authors:
--------
    LAM Team <llamas@mpi.nd.edu>


%prep
%setup -q -n %{name}-%{version}

%build
rm -rf $RPM_BUILD_ROOT
./configure  --with-lam --prefix=/usr/ --with-shared --mandir=%{_mandir} -with-cxx=/usr/bin/mpiCC --with-cc=/usr/bin/mpicc --libdir=%_libdir
make

%install
make DESTDIR=$RPM_BUILD_ROOT install

%clean 
rm -rf $RPM_BUILD_ROOT

%files -n %{libname}-devel
%defattr(-,root,root)
%{_libdir}/libxmpi.*

%files
%defattr(-,root,root)
%doc LICENSE NEWS README
%{_bindir}/xmpi
%{_mandir}/man1/xmpi.1.bz2

%changelog
* Wed Dec 17 2003 Franck Villaume <fvill@freesurf.fr> 2.2.3b6-4mdk
- add BuildRequires : XFree86-devel

* Mon Oct 14 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.2.3b6-3mdk
- fix configure-without-libdir-spec
- fix devel subpackage group

* Fri Sep 6 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.2.3b6-2mdk
- rebuild

* Fri May 24 2002 Erwan Velu <erwan@mandrakesoft.com> 2.2.3b6-1mdk
- New release
- Gcc 3.1 Build
- Splitting devel files
